#!/bin/bash
if [ ! -z "$FLAC_LEVEL" ]; then
  LEVEL="-$FLAC_LEVEL"
else
  LEVEL="-8"
fi

if [ ! -z "$1" ]; then
  FLACNAME="`basename \"$1\" .wav`.flac"
  flac $LEVEL "$1" "$FLACNAME"
else
  for F in *.wav; do
    FLACNAME="`basename \"$F\" .wav`.flac"
    flac $LEVEL "$F" "$FLACNAME"
  done
fi
